<div class="bg-white">
    <div class="mx-auto max-w-2xl py-16 px-4 sm:py-24 sm:px-6 lg:max-w-7xl lg:px-8">
      <h2 class="sr-only">Products</h2>
      <div class="card">
        <div *ngIf="loadProducts" class="card-body">
          Cargando productos...
          <div class="progress">
            <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: 95%"></div>
          </div>
        </div>
      </div>
     
      <div class="grid grid-cols-1 gap-y-10 gap-x-6 sm:grid-cols-2 lg:grid-cols-3 xl:grid-cols-4 xl:gap-x-8">
     

        <a class="group" *ngFor="let p of products">
          <div class="aspect-w-1 aspect-h-1 w-full overflow-hidden rounded-lg bg-gray-200 xl:aspect-w-7 xl:aspect-h-8">
            <img src="{{p.image}}" alt="Tall slender porcelain bottle with natural clay textured body and cork stopper." class="h-full w-full object-cover object-center group-hover:opacity-75">
          </div>
          <h3 class="mt-4 text-sm text-gray-700">{{p.title}}</h3>
          <p class="mt-1 text-lg font-medium text-gray-900">{{p.price}}</p>
          <input class="form-control" #inputCantidad name="cantidad" type="number" [value]="cantidad" placeholder="cantidad" aria-label="cantidad" required>
          <button type="button" (click)="addProduct(p.id, p.title, p.price,inputCantidad.value, p.image)" class="btn btn-outline-success">Add</button>
        </a>
       
      </div>
    </div>
  </div>
